package com.ruoyi.system.domain.landlord;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业主管理对象 house_landlord
 * 
 * @author boman
 * @date 2025-02-14
 */
public class HouseLandlord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业主主键 */
    private Long houseLandlordId;

    /** 门户id */
    @Excel(name = "门户id")
    private Long portalId;

    /** 详细门牌号 */
    @Excel(name = "详细门牌号")
    private String houseAddress;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idcard;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 出生日期 */
    @Excel(name = "出生日期")
    private String birthday;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 1:业主 2：租户 */
    @Excel(name = "1:业主 2：租户")
    private String type;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phoneNumber;

    /** 是否户主 N:否 Y:是 */
    @Excel(name = "是否户主 N:否 Y:是")
    private String isPatriarch;

    public void setHouseLandlordId(Long houseLandlordId) 
    {
        this.houseLandlordId = houseLandlordId;
    }

    public Long getHouseLandlordId() 
    {
        return houseLandlordId;
    }
    public void setPortalId(Long portalId) 
    {
        this.portalId = portalId;
    }

    public Long getPortalId() 
    {
        return portalId;
    }
    public void setHouseAddress(String houseAddress) 
    {
        this.houseAddress = houseAddress;
    }

    public String getHouseAddress() 
    {
        return houseAddress;
    }
    public void setIdcard(String idcard) 
    {
        this.idcard = idcard;
    }

    public String getIdcard() 
    {
        return idcard;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setBirthday(String birthday) 
    {
        this.birthday = birthday;
    }

    public String getBirthday() 
    {
        return birthday;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setIsPatriarch(String isPatriarch) 
    {
        this.isPatriarch = isPatriarch;
    }

    public String getIsPatriarch() 
    {
        return isPatriarch;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("houseLandlordId", getHouseLandlordId())
            .append("portalId", getPortalId())
            .append("houseAddress", getHouseAddress())
            .append("idcard", getIdcard())
            .append("name", getName())
            .append("birthday", getBirthday())
            .append("gender", getGender())
            .append("type", getType())
            .append("phoneNumber", getPhoneNumber())
            .append("isPatriarch", getIsPatriarch())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
